package @PACKAGE@;

import servletunit.struts.CactusStrutsTestCase;

/**
 * This tests the functionality of the StrutsTestCase
 * 
 * @author <a href="trajano@yahoo.com">Archimedes Trajano </a>
 * @version $Id$
 */
public class StrutsTest extends CactusStrutsTestCase {

    /**
     * Required constructor for CactusStrutsTestCase
     * 
     * @param name
     *                   name of the test
     */
    public StrutsTest(String name) {
        super(name);
    }

    public void testInputForm() throws Exception {
        setRequestPathInfo("/TestInput.do");
        addRequestParameter("givenName", "Archie");
        addRequestParameter("familyName", "Trajano");
        actionPerform();
        verifyForward("success");
        verifyNoActionErrors();
    }
}
